complexType "AdjustableOrRelativeDate"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 1 attribute, 2 elements
Defined: | globally in fpml-shared-5-5.xsd; see XML source
Includes: | definitions of 1 attribute, 2 elements
Used: | at 47 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | adjustableDate | relativeDate
</...>

Content Model Elements (2):

  adjustableDate (defined in AdjustableOrRelativeDate complexType),
  relativeDate (defined in AdjustableOrRelativeDate complexType)

All Direct / Indirect Based Elements (47):

  additionalPaymentDate,
  calculationEndDate,
  calculationStartDate,
  commencementDate (defined in CommodityExercisePeriods complexType),
  commencementDate (defined in FxDigitalAmericanExercise complexType),
  commencementDate (defined in SharedAmericanExercise complexType),
  commencementDate (in americanExercise),
  deliveryDate (in environmentalPhysicalLeg),
  effectiveDate (defined in CommoditySwapDetails.model group),
  effectiveDate (defined in DirectionalLeg complexType),
  effectiveDate (in commodityOption),
  effectiveDate (in commodityOption),
  effectiveDate (in fxDigitalOption),
  effectiveDate (in fxOption),
  effectiveDate (in interestLegCalculationPeriodDates),
  expirationDate (defined in CommodityExercisePeriods complexType),
  expirationDate (defined in ExchangeTradedContract complexType),
  expirationDate (defined in SharedAmericanExercise complexType),
  expirationDate (in americanExercise),
  expirationDate (in equityEuropeanExercise),
  expirationDate (in europeanExercise defined in CommodityExercise complexType),
  expirationDate (in europeanExercise defined in CommodityExercise complexType),
  expirationDate (in europeanExercise defined in CommodityPhysicalExercise complexType),
  expirationDate (in europeanExercise),
  expirationDateTwo,
  featurePaymentDate,
  observationStartDate (defined in CalculatedAmount complexType),
  paymentDate (defined in PaymentBaseExtended complexType),
  paymentDate (defined in SimplePayment complexType),
  paymentDate (in dividendPeriod in dividendLeg),
  paymentDate (in paymentDetail),
  paymentDateFinal,
  principalExchangeDate,
  settlementDate (defined in EquityExerciseValuationSettlement complexType),
  settlementDate (defined in OptionSettlement.model group),
  settlementDate (in bullionPhysicalLeg),
  settlementMethodElectionDate,
  strikeDate,
  strikeDeterminationDate,
  stubEndDate,
  stubStartDate,
  terminationDate (defined in CommoditySwapDetails.model group),
  terminationDate (defined in DirectionalLeg complexType),
  terminationDate (in commodityOption),
  terminationDate (in interestLegCalculationPeriodDates),
  valuationDate (in dividendPeriod in dividendLeg),
  valueDate (in commodityForward)

Known Usage Locations

- As direct type of elements (47):
  additionalPaymentDate,
  calculationEndDate,
  calculationStartDate,
  commencementDate (defined in CommodityExercisePeriods complexType),
  commencementDate (defined in FxDigitalAmericanExercise complexType),
  commencementDate (defined in SharedAmericanExercise complexType),
  commencementDate (in americanExercise),
  deliveryDate (in environmentalPhysicalLeg),
  effectiveDate (defined in CommoditySwapDetails.model group),
  effectiveDate (defined in DirectionalLeg complexType),
  effectiveDate (in commodityOption),
  effectiveDate (in commodityOption),
  effectiveDate (in fxDigitalOption),
  effectiveDate (in fxOption),
  effectiveDate (in interestLegCalculationPeriodDates),
  expirationDate (defined in CommodityExercisePeriods complexType),
  expirationDate (defined in ExchangeTradedContract complexType),
  expirationDate (defined in SharedAmericanExercise complexType),
  expirationDate (in americanExercise),
  expirationDate (in equityEuropeanExercise),
  expirationDate (in europeanExercise defined in CommodityExercise complexType),
  expirationDate (in europeanExercise defined in CommodityExercise complexType),
  expirationDate (in europeanExercise defined in CommodityPhysicalExercise complexType),
  expirationDate (in europeanExercise),
  expirationDateTwo,
  featurePaymentDate,
  observationStartDate (defined in CalculatedAmount complexType),
  paymentDate (defined in PaymentBaseExtended complexType),
  paymentDate (defined in SimplePayment complexType),
  paymentDate (in dividendPeriod in dividendLeg),
  paymentDate (in paymentDetail),
  paymentDateFinal,
  principalExchangeDate,
  settlementDate (defined in EquityExerciseValuationSettlement complexType),
  settlementDate (defined in OptionSettlement.model group),
  settlementDate (in bullionPhysicalLeg),
  settlementMethodElectionDate,
  strikeDate,
  strikeDeterminationDate,
  stubEndDate,
  stubStartDate,
  terminationDate (defined in CommoditySwapDetails.model group),
  terminationDate (defined in DirectionalLeg complexType),
  terminationDate (in commodityOption),
  terminationDate (in interestLegCalculationPeriodDates),
  valuationDate (in dividendPeriod in dividendLeg),
  valueDate (in commodityForward)

Annotation
A type giving the choice between defining a date as an explicit date together with applicable adjustments or as relative to some other (anchor) date.
XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="AdjustableOrRelativeDate"> <xsd:choice> <xsd:element name="adjustableDate" type="AdjustableDate"/> <xsd:element name="relativeDate" type="RelativeDateOffset"/> </xsd:choice> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID"/>

Content Element Detail (all declarations; defined within this component only; 2/2)
adjustableDate

  Type: | AdjustableDate, complex content

  A date that shall be subject to adjustment if it would otherwise fall on a day that is not a business day in the specified business centers, together with the convention for adjusting the date.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="adjustableDate" type="AdjustableDate"/>

relativeDate

  Type: | RelativeDateOffset, complex content

  A date specified as some offset to another date (the anchor date).
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="relativeDate" type="RelativeDateOffset"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.